Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451077 - Spurious AVC messages for xdm_dbus_t and xdm_tmp_t
Summary: Spurious AVC messages for xdm_dbus_t and xdm_tmp_t
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 17:22 UTC by Carl Roth
Modified: 2015-01-14 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:32:48 UTC


Attachments (Terms of Use)

Description Carl Roth 2008-06-12 17:22:26 UTC
Description of problem:

I'm getting spurious (I think) selinux denials in my logs of the form:

host=huggy.ursus.net type=AVC msg=audit(1213257077.497:3073): avc: denied {
search } for pid=27293 comm="dbus-daemon" name="1686760213" dev=dm-8 ino=1036215
scontext=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023
tcontext=system_u:object_r:xdm_tmp_t:s0 tclass=dir

host=huggy.ursus.net type=SYSCALL msg=audit(1213257077.497:3073): arch=c000003e
syscall=2 success=no exit=-2 a0=7fe0a9e3dec0 a1=0 a2=1b6 a3=7fe0a7c6b780 items=0
ppid=27292 pid=27293 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0
sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="dbus-daemon"
exe="/bin/dbus-daemon" subj=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 key=(null) 

I'm not able to figure out what directory it's trying to access.  The LV and
inode referenced there in the log currently refers to a directory created by
seahorse-agent to store ssh-agent et al sockets, but directory name is wrong. 
That directory is labeled 'unconfined_u:object_r:user_tmp_t'.  It might be the
case that the seahorse-agent directory was created later, but would the inode
numbers be recycled that quickly?

I see that xserver.te and dbus.if set up permissions between xdm_dbus_t and
xdm_dbus_tmp_t (via dbus_per_role_template) but leaves out the permissions
between xdm_dbus_t and xdm_tmp_t.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.3.1-64.fc9.noarch
xorg-x11-xdm-1.1.6-3.fc9.x86_64
kdebase-workspace-4.0.5-1.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2008-06-14 11:28:50 UTC
This can most likely be ignored.  It might be a leaked file descriptor, or xdm
starting up dbus while the current working directory is xdm_tmp_t.

I doubt there is any reason for dbus to be looking in a tmp directory owned by xdm.

Ray, do you have any ideas?

Comment 2 Bug Zapper 2009-06-10 01:34:40 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 15:32:48 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.